ReflectionMethod::getDeclaringClass
ReflectionMethod::getPrototype
ReflectionMethod
PHP Manual

# ReflectionMethod::getModifiers

(PHP 5)

ReflectionMethod::getModifiers — Gets modifiers

### Description

public int ReflectionMethod::getModifiers ( void )

Gets the modifiers.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

A numeric representation of the modifiers.

### Examples

Example #1 ReflectionMethod::getModifiers example

`<?php
class Testing
{
final public static function foo()
{
return;
}
public function bar()
{
return;
}
}
$foo = new ReflectionMethod('Testing', 'foo');
echo "Modifiers for method foo():\n";
echo $foo->getModifiers() . "\n";
echo implode(' ', Reflection::getModifierNames($foo->getModifiers())) . "\n";
$bar = new ReflectionMethod('Testing', 'bar');
echo "Modifiers for method bar():\n";
echo $bar->getModifiers() . "\n";
echo implode(' ', Reflection::getModifierNames($bar->getModifiers()));
?>`

The above example will output something similar to:

    Modifiers for method foo():
    261
    final public static
    Modifiers for method bar():
    65792

### See Also

- Reflection::getModifierNames - Gets modifier names

ReflectionMethod::getDeclaringClass
ReflectionMethod::getPrototype
ReflectionMethod
PHP Manual